Index: packages/package_config/tool/travis.sh |
diff --git a/packages/package_config/tool/travis.sh b/packages/package_config/tool/travis.sh |
new file mode 100755 |
index 0000000000000000000000000000000000000000..6d8cfe375f70438d3de3898cd3ab737a0b2af4d1 |
--- /dev/null |
+++ b/packages/package_config/tool/travis.sh |
@@ -0,0 +1,17 @@ |
+#!/bin/bash |
+ |
+# Copyright (c) 2015, the Dart project authors. Please see the AUTHORS file |
+# for details. All rights reserved. Use of this source code is governed by a |
+# BSD-style license that can be found in the LICENSE file. |
+ |
+# Fast fail the script on failures. |
+set -e |
+ |
+# Verify that the libraries are error free. |
+dartanalyzer --fatal-warnings \ |
+ lib/packages.dart \ |
+ test/all.dart |
+ |
+# Run the tests. |
+dart test/all.dart |
+ |